package Fairness;

/**
 * DemograntAdjustEvent occurs when the taxation publisher changes the demogrant. The demogrant is
 * the amount of bandwidth that any node can use without forwarding any stripes.
 * <p/>
 * Currently, this class is not used because taxation was not completed.
 *
 * @author Jason Winnebeck
 */
public class DemograntAdjustEvent implements SimulationEvent {
    /**
     * Performs the event that is occuring within a {@link Simulation}. If an event wishes to
     * re-execute later, it may schedule itself again using the provided Simulation reference.
     *
     * @param sim  non-null Simulation
     * @param time simulation time, exactly equal to the result of {@link Simulation#getTime()}
     */
    public void perform( Simulation sim, double time ) {
    }
}
